API Authentication

This page will help you get started with Merchant Login.

Authentication API

Taly authenticates your API requests using your token, hence you have to include your token while making any API request/call if you don’t add your token to the call or used one that is incorrect or expired, Taly will return an error.

To get your token you need to call the Merchant login API using your API credentials Username & Password

You will find your API credentials under Taly's partners portal under "Keys" tab

Refresh Token

Note: the access token validity is 15 minutes so you have to get a new token id in case your token got expired using refresh Token API,also the refresh token validity is 30 minutes so in case all tokens are expired then you have to authenticate again using the login API

Request sample:

Method POST
Sandbox endpoint https://api.dev-taly.io/uaa/oauth/token
refresh_token=refresh token which was generated on login api
Curl command

curl --location --request POST '<https://api.dev-taly.io/uaa/oauth/token'>  
--header 'Authorization: Basic bWVyY2hhbnQ6c2VjcmV0''  
--header 'Content-Type: application/x-www-form-urlencoded'  
--data-urlencode 'grant_type=refresh_token'  
--data-urlencode 'refresh_token= refresh_token' '
Language
Response
Click Try It! to start a request and see the response here!